- name: Configuring Nginx
  hosts: consul_template
  become: true
  become_user: root
  tasks:
    - name: Getting backend name from consul KV storage
      set_fact:
        version: "{{ lookup('consul_kv', 'version', host='62.84.117.247') | default('v2', true) }}"
    - name: print version
      debug:
        msg: "version = {{ version }}"
    - name: Configure Nginx for consul-template
      include_role:
        name: ansible-role-nginx-config
      vars:
        nginx_config_stream_template_enable: true
        nginx_config_stream_template:
          - template_file: stream/load-balancer.conf.tmp.j2
            deployment_location: /etc/nginx/conf.d/load-balancer.conf.tmp
        nginx_config_cleanup: true
        nginx_config_cleanup_paths:
          - directory:
              - /etc/nginx/conf.d
              - /etc/nginx/sites-enabled
            recurse: false
        nginx_config_cleanup_files:
          - /etc/nginx/conf.d/default.conf
          - /etc/nginx/sites-enabled/000-default
        
    - name: add permissions on directory
      file:
        path: /etc/nginx/conf.d/
        state: directory
        mode: '0777'
       
    - name: restart consul-template
      service:
        name: consul-template
        state: started
